uniform vec2 Scroll;
uniform vec2 r1,r2;
uniform mat4 transformMatrix;

void main()
{
	// Reconstruct projection matrix
	mat4 cam = mat4(r1.x,0,0,0,0,r1.y,0,0,0,0,r1.y,0,r2.x,r2.y,r2.y,1);
	gl_Position = cam*transformMatrix*gl_Vertex - vec4(r1*Scroll.xy, r1.y*Scroll.y, 0);
	gl_TexCoord[0] = gl_MultiTexCoord0;
}
